IOSS 2.0

Public Member Functions | Protected Member Functions | Private Attributes | Friends | List of all members
Iotr::MinMax Class Reference

`#include <Iotr_MinMax.h>`

Inheritance diagram for Iotr::MinMax:
[legend]
Collaboration diagram for Iotr::MinMax:
[legend]

## Public Member Functions
const Ioss::VariableType * | output_storage (const Ioss::VariableType *in) const override
int | output_count (int in) const override
Public Member Functions inherited from Ioss::Transform
virtual | ~Transform ()
bool | execute (const Ioss::Field &field, void *data)
virtual void | set_property (const std::string &name, int value)
virtual void | set_property (const std::string &name, double value)
virtual void | set_properties (const std::string &name, const std::vector< int > &values)
virtual void | set_properties (const std::string &name, const std::vector< double > &values)

## Protected Member Functions
| MinMax (const std::string &type)
bool | internal_execute (const Ioss::Field &field, void *data) override
Protected Member Functions inherited from Ioss::Transform
| Transform ()

## Private Attributes
bool | doMin {false}
bool | doAbs {false}

## Friends
class | MinMax_Factory

## Constructor & Destructor Documentation

## ◆ MinMax()

Iotr::MinMax::MinMax | ( | const std::string & | type | ) |
| explicitprotected

## Member Function Documentation

## ◆ internal_execute()

bool Iotr::MinMax::internal_execute | ( | const Ioss::Field & | field,
|  | void * | data
| ) |  |
| overrideprotectedvirtual

Implements Ioss::Transform.

## ◆ output_count()

int Iotr::MinMax::output_count | ( | int | in | ) | const
| overridevirtual

Implements Ioss::Transform.

## ◆ output_storage()

const Ioss::VariableType * Iotr::MinMax::output_storage | ( | const Ioss::VariableType * | in | ) | const
| overridevirtual

Implements Ioss::Transform.

## Friends And Related Function Documentation

## ◆ MinMax_Factory

friend class MinMax_Factory
| friend

## Member Data Documentation

## ◆ doAbs

bool Iotr::MinMax::doAbs {false}
| private

## ◆ doMin

bool Iotr::MinMax::doMin {false}
| private

The documentation for this class was generated from the following files:

- src/transform/Iotr_MinMax.h
- src/transform/Iotr_MinMax.C